# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Current Class Reference
Inheritance diagram for Current:

## Public Member Functions
| Current (std::string name, std::string pos, std::string neg, std::string value)
| creates a new current source. More...
Public Member Functions inherited from Source
std::string | getName ()
| returns the name of the source.
std::string | getNegative ()
| returns the negative connector of the source.
std::string | getPositive ()
| returns the positive connector of the source.
std::string | getValue ()
| returns the value of the source.

## Additional Inherited Members
Protected Member Functions inherited from Source
| Source (std::string name, std::string pos, std::string neg, std::string value)
| creates a new source. More...

## Detailed Description

This class describes a current source.

## Constructor & Destructor Documentation

## ◆ Current()

Current | ( | std::string | name,
|  | std::string | pos,
|  | std::string | neg,
|  | std::string | value
| ) |  |
| inline

creates a new current source.

Parameters

  name | the name of the source.
  pos | the positive connector of the source.
  neg | the negative connector of the source.
  value | the value of the source.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved